Subject: [MICROBUG]: gnulib doesn't add lib/spawn.h to .gitignore?

From: Stefano Lattarini <[email-masked]>
Date: Wed, 29 Aug 2012 13:33:56 +0200

Severity: minor

OK, this is a minor annoyance rather than a real bug, but I guess
reporting it won't hurt.

In GNU coreutils, the gnulib-provided 'bootstrap' script fails to add
the generated file 'lib/spawn.h' to the .gitignore in 'lib/':

  $ ./bootstrap && ./configure && make
  ... [all is OK]
  $ git status
  ...
  # Untracked files:
  #   (use "git add <file>..." to include in what will be committed)
  #
  #       lib/spawn.h
  nothing added to commit but untracked files present (use "git add" to track)
  $ grep spawn lib/.gitignore
  /spawn-pipe.c
  /spawn-pipe.h
  /spawn.in.h
  /spawn_faction_addclose.c
  /spawn_faction_adddup2.c
  /spawn_faction_addopen.c
  /spawn_faction_destroy.c
  /spawn_faction_init.c
  /spawn_int.h
  /spawnattr_destroy.c
  /spawnattr_init.c
  /spawnattr_setflags.c
  /spawnattr_setsigmask.c
  /spawni.c
  /spawnp.c
  /w32spawn.h

Since I don't know where the problem might lie (coreutils or gnulib?),
and since I have no time to investigate at the moment, I'm reporting
the issue to both lists.

Regards,
  Stefano